<?php require 'ust.php'; ?>
<main id="main" class="main">
  <section class="section dashboard">
        <div class="row">
          <div class="col-12">
            <div class="card">
          <div class="card-body">
            <h5 class="card-title">Yapılan Ödeme Listesi</h5>
            <div class="table-responsive">
            <table class="table table-striped datatable">
              <thead>
                <tr>
                  <th scope="col"> Üye Adı </th>
                  <th scope="col"> Kredi Miktarı </th>
                  <th scope="col"> Tarih </th>
                  <th scope="col"> Durum </th>
                </tr>
              </thead>
              <tbody>
                <?php
                $getir = mysqli_query($db, "SELECT * FROM kredi_yuklemeleri");
                while ($listele = mysqli_fetch_array($getir)) {
                  $uyeidkdis = $listele["uyeid"];
                  $uyebilgisi = mysqli_fetch_array(mysqli_query($db, "SELECT * FROM uyeler WHERE id = '$uyeidkdis'"))
                 ?>
                <tr>
                  <td><?php echo $uyebilgisi["ad"]." ".$uyebilgisi["soyad"]; ?></td>
                  <td><?php echo $listele["kredi_miktari"] ?></td>
                  <td><?php echo $listele["tarih"]; ?></td>
                  <td><?php echo $listele["durum"]; ?></td>
                </tr>
              <?php } ?>
              </tbody>
            </table>
          </div>
          </div>
        </div>
          </div>
    </div>
  </section>
</main>
<?php require 'footer.php'; ?>
<?php
if (isset($_POST["uyeislem"])) {
  $uyeid = $_POST["uyeid"];
  $ad = $_POST["ad"];
  $soyad = $_POST["soyad"];
  $email = $_POST["email"];
  $dtarih = $_POST["dtarih"];
  $burc = $_POST["burc"];
  $meslek = $_POST["meslek"];
  $iliskidurumu = $_POST["iliskidurumu"];
  $telefon = $_POST["telefon"];
  $kredi = $_POST["kredi"];
  $sifre = md5(md5(md5(hash('sha512',md5(md5(md5($_POST["sifre"])))))));
  if ($sifre) {
    $duzenle = mysqli_query($db, "UPDATE uyeler SET sifre = '$sifre', ad = '$ad', soyad = '$soyad', email = '$email', telefon = '$telefon', uye_kredi = '$kredi', dtarih = '$dtarih', burc = '$burc', meslek = '$meslek', iliskidurumu = '$iliskidurumu' WHERE id = '$uyeid'");
    if ($duzenle) {
      echo '<script>swal("Başarılı", "Üye Bilgileri Başarılı Bir Şekilde Düzenlendi", "success");setTimeout(function(){ window.location.assign("uliste.php");}, 1500);</script>';
    }else {
      echo '<script>swal("Hata", "Beklenemdik Bir Hata Meydana Geldi Lütfen Tekrar Deneyin.", "error");</script>';
    }
  }else {
  $duzenle = mysqli_query($db, "UPDATE uyeler SET ad = '$ad', soyad = '$soyad', email = '$email', telefon = '$telefon', uye_kredi = '$kredi', dtarih = '$dtarih', burc = '$burc', meslek = '$meslek', iliskidurumu = '$iliskidurumu' WHERE id = '$uyeid'");
  if ($duzenle) {
    echo '<script>swal("Başarılı", "Üye Bilgileri Başarılı Bir Şekilde Düzenlendi", "success");setTimeout(function(){ window.location.assign("uliste.php");}, 1500);</script>';
  }else {
    echo '<script>swal("Hata", "Beklenemdik Bir Hata Meydana Geldi Lütfen Tekrar Deneyin.", "error");</script>';
  }
}
}
 ?>
